Get Endpoint Stats
curl --request GET \
--url https://api.example.com/api/v1/projects/{project_slug}/analytics/endpoints \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/projects/{project_slug}/analytics/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/projects/{project_slug}/analytics/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){}Projects
Get Endpoint Stats
Get endpoint statistics aggregated across a project with pagination.
Optionally filter by specific apps within the project.
Query parameters:
- app_slugs: Comma-separated app slugs to filter
- environment: Filter by environment name
- since/until: Time range
- methods: Comma-separated HTTP methods (e.g., "GET,POST")
- status_classes: Comma-separated status classes (e.g., "2xx,4xx")
- status_codes: Comma-separated status codes (e.g., "200,404")
- q: Search query for path or method
- sort_by: Field to sort by (endpoint, total_requests, error_rate, avg_response_time_ms, p95_response_time_ms)
- sort_dir: Sort direction (asc or desc)
- page: Page number (1-indexed)
- page_size: Items per page
Returns:
{
"items": [...],
"total_count": int
}
GET
/
api
/
v1
/
projects
/
{project_slug}
/
analytics
/
endpoints
Get Endpoint Stats
curl --request GET \
--url https://api.example.com/api/v1/projects/{project_slug}/analytics/endpoints \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/projects/{project_slug}/analytics/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.example.com/api/v1/projects/{project_slug}/analytics/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
200 - application/json
OK
The response is of type Response · object.